DOM::Text class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::Text Class Reference

The `Text` interface represents the textual content (termed character data in XML) of an `Element` or `Attr` . More...

`#include <dom_text.h>`

Inheritance diagram for DOM::Text:

[legend]
Collaboration diagram for DOM::Text:

[legend]
List of all members.

## Public Member Functions
| Text (const Text &other)
| Text (const Node &other)
Text & | operator= (const Node &other)
Text & | operator= (const Text &other)
Text | splitText (const unsigned long offset)
| Breaks this `Text` node into two Text nodes at the specified offset, keeping both in the tree as siblings.
## Protected Member Functions
| Text (TextImpl *i)
## Friends
class | Document

## Detailed Description

The `Text` interface represents the textual content (termed character data in XML) of an `Element` or `Attr` .

If there is no markup inside an element's content, the text is contained in a single object implementing the `Text` interface that is the only child of the element. If there is markup, it is parsed into a list of elements and `Text` nodes that form the list of children of the element.

When a document is first made available via the DOM, there is only one `Text` node for each block of text. Users may create adjacent `Text` nodes that represent the contents of a given element without any intervening markup, but should be aware that there is no way to represent the separations between these nodes in XML or HTML, so they will not (in general) persist between DOM editing sessions. The `normalize()` method on `Element` merges any such adjacent `Text` objects into a single node for each block of text; this is recommended before employing operations that depend on a particular document structure, such as navigation with `XPointers.`

Definition at line 267 of file dom_text.h.

## Member Function Documentation

Text Text::splitText | ( | const unsigned long | offset | ) |

  | Breaks this `Text` node into two Text nodes at the specified offset, keeping both in the tree as siblings. This node then only contains all the content up to the `offset` point. And a new `Text` node, which is inserted as the next sibling of this node, contains all the content at and after the `offset` point. Parameters:
  offset | The offset at which to split, starting from 0.
  Returns: The new `Text` node. Exceptions:
  DOMException | INDEX_SIZE_ERR: Raised if the specified offset is negative or greater than the number of characters in `data` .
NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly. Definition at line 224 of file dom_text.cpp.

The documentation for this class was generated from the following files:

- dom_text.h
- dom_text.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:31 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001